
%define __kde4_alternate_placement 1

%add_findreq_skiplist %_K4apps/lokalize/scripts/*.py


%define rname kdesdk
Name: kde4sdk
%define major 4
%define minor 2
%define bugfix 4
Version: %major.%minor.%bugfix
Release: alt0.M50.1

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Software Development Kit
License: GPL
Url: ftp://ftp.kde.org/pub/kde/stable/%version/src/

Requires: %name-core = %version-%release
Requires: %name-lokalize = %version-%release
Requires: %name-kapptemplate = %version-%release
Requires: %name-kuiviewer = %version-%release
Requires: %name-scripts = %version-%release
Requires: %name-kbugbuster = %version-%release
Requires: %name-strigi-analyzer = %version-%release
Requires: %name-po2xml = %version-%release
Requires: %name-kate = %version-%release
Requires: %name-umbrello = %version-%release
Requires: %name-cervisia = %version-%release
Requires: %name-kompare = %version-%release
Requires: %name-kmtrace = %version-%release
Requires: %name-kcachegrind = %version-%release
Requires: %name-libs = %version-%release


Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar
Patch1: kdesdk-4.0.2-alt-find-libsvn.patch

BuildRequires(pre): kde4libs-devel
BuildRequires: libsubversion-devel perl-XML-DOM perl-Switch libldap-devel libltdl-devel gcc-c++
BuildRequires: xorg-x11-devel libiberty-devel libjpeg-devel libxslt-devel bzlib-devel
BuildRequires: boost-devel
BuildRequires: kde4libs-devel >= %version
BuildRequires: kde4pimlibs-devel >= %version
BuildRequires: kde4base-workspace-devel >= %version

%description
Software Development Kit for the K Desktop Environment.

%package common
Summary: Common empty package for %rname
Group: System/Configuration/Other
Requires: kde-common >= %major.%minor
%description common
Common empty package for %rname

%package core
Summary: Core files needed for %rname
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description core
Core files needed for %rname

%package lokalize
Group: Graphical desktop/KDE
Summary: Computer-aided translation system
Requires: %name-core = %version-%release
Provides: %name-localize = %version-%release
%description lokalize
Computer-aided translation system

%package kapptemplate
Summary: Template for KDE Application Development
Group: Development/KDE and QT
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kapptemplate
KAppTemplate is a set of modular shell scripts that will create a
framework for any number of KDE application types. At it's base
level, it handles creation of things like the automake/autoconf
framework, lsm files, RPM spec files, and po files. Then, there
are individual modules that allow you to create a skeleton KDE
application, a KPart application, a KPart plugin, or even convert
existing source code to the KDE framework.

%package kuiviewer
Summary: UI Files Viewer
Group: Development/KDE and QT
Provides: kuiviewer4
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kuiviewer
Displays Qt Designer UI files

%package scripts
Summary: Script From kdesdk
Group: Development/KDE and QT
Requires: %name-core = %version-%release
%description scripts
This package contains the scripts for KDE development which are
contained in the %rname module.

%package kbugbuster
Summary: kbugbuster
Group: Development/KDE and QT
Provides: kbugbuster4
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kbugbuster
Kbugbuster

%package strigi-analyzer
Summary: Strigi Analyzer
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description strigi-analyzer
Strigi analyzer

%package po2xml
Summary: Xml2po and vice versa converters
Group: Development/KDE and QT
Requires: %name-common = %version-%release
%description po2xml
An xml2po and vice versa converters.

%package kate
Summary: Advanced text editor
Group: Editors
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kate
A fast and advanced text editor with nice plugins

%package devel
Summary: Header files for %rname
Group: Development/KDE and QT
Requires: %name-common = %version-%release
%description devel
This package includes the header files you will need to compile
applications for %rname.

%package umbrello
Summary: UML Modeller
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description umbrello
Umbrello UML Modeller is a UML diagramming tool for KDE.

%package cervisia
Summary: CVS client part
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description cervisia
CVS client part.

%package kompare
Summary: KDE diff graphic tool
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kompare
kompare is a KDE diff graphic tool

%package kmtrace
Summary: Memory Allocation Debugging Tool
Group: Graphical desktop/KDE
Requires: %name-core = %version-%release
%description kmtrace
Memory Allocation Debugging Tool

%package kcachegrind
Summary: KCachegrind
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%ifarch %ix86
Requires: valgrind
%endif
%description kcachegrind
KCachegrind is a visualisation tool for the profiling data generated by
Cachegrind and Calltree (they profile data file format is upwards compatible).
Calltree extends Cachegrind, which is part of Valgrind.

%package libs
Summary: %name core libraries
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description libs
%name core libraries


%prep
%setup -q -n %rname-%version
%patch1 -p1

%build
%K4cmake
%K4make


%install
%K4install

# fix scripts for strong /usr/lib/rpm/find-requires
pushd %buildroot/%__kde4_bindir
for f in `(file ./* | grep bash; file ./* | grep shell) | awk -F: '{print $1}' | xargs grep -l ^=head`
do
    mv "$f" "$f.tmp"
    awk 'BEGIN{found=0;} /^=head/ {if (found==0){print "cat <<\\__EOF__";found=1;};} {print} END{if (found!=0) print "__EOF__";}' <"$f.tmp" >"$f"
    rm -f "$f.tmp"
    chmod a+x $f
done
popd

# resilve conflict with subversion-tools
mv %buildroot/%__kde4_bindir/svn-clean %buildroot/%__kde4_bindir/svnclean


%files
%files common
%files core
%__kde4_bindir/cvsaskpass
%__kde4_bindir/cvsservice
%__kde4_bindir/kio_svn_helper
%__kde4_bindir/kstartperf
%__kde4_bindir/kpartloader
%_K4lib/kio_perldoc.so
%_K4lib/kabcformat_kdeaccounts.so
%_K4apps/kio_perldoc/
%_K4apps/kpartloader/
%_K4srv/perldoc.protocol
%_K4apps/kabc/formats/kdeaccountsplugin.desktop

%files lokalize
%__kde4_bindir/lokalize
%__kde4_xdg_apps/lokalize.desktop
%_K4apps/lokalize/
%_K4cfg/lokalize.kcfg
%_datadir/strigi/fieldproperties/strigi_translation.fieldproperties
%__kde4_iconsdir/*/*/actions/approved.*
%__kde4_iconsdir/*/*/actions/insert_arg.png
%__kde4_iconsdir/*/*/actions/insert_tag.png
%__kde4_iconsdir/*/*/actions/msgid2msgstr.png
%__kde4_iconsdir/*/*/actions/nexterror.png
%__kde4_iconsdir/*/*/actions/nextfuzzy.png
%__kde4_iconsdir/*/*/actions/nextfuzzyuntrans.png
%__kde4_iconsdir/*/*/actions/nextuntranslated.png
%__kde4_iconsdir/*/*/actions/preverror.png
%__kde4_iconsdir/*/*/actions/prevfuzzy.png
%__kde4_iconsdir/*/*/actions/prevfuzzyuntrans.png
%__kde4_iconsdir/*/*/actions/prevuntranslated.png
%__kde4_iconsdir/*/*/actions/search2msgstr.png
%__kde4_iconsdir/*/*/actions/transsearch.png
%__kde4_iconsdir/*/*/actions/catalogmanager.png
%__kde4_iconsdir/*/*/actions/autodiff.png
%__kde4_iconsdir/*/*/actions/diff.png
%__kde4_iconsdir/*/*/apps/lokalize.*
%__kde4_doc/*/lokalize

%files kapptemplate
%__kde4_bindir/kapptemplate
%__kde4_xdg_apps/kapptemplate.desktop
#%_K4apps/kapptemplate/
%_K4apps/kdevappwizard/
%_K4cfg/kapptemplate.kcfg
%__kde4_iconsdir/hicolor/*/*/kapptemplate.*
%__kde4_doc/*/kapptemplate

%files kuiviewer
%__kde4_bindir/kuiviewer
%_K4libdir/kde4/libkuiviewerpart.so
%_K4libdir/kde4/quithumbnail.so
%__kde4_xdg_apps/kuiviewer.desktop
%_K4apps/kuiviewer/
%__kde4_iconsdir/hicolor/*/apps/kuiviewer.png
%_K4apps/kuiviewerpart/
%_K4srv/kuiviewer_part.desktop
%_K4srv/designerthumbnail.desktop

%files scripts
%__kde4_bindir/adddebug
%__kde4_bindir/build-progress.sh
%__kde4_bindir/cheatmake
%__kde4_bindir/colorsvn
%__kde4_bindir/create_cvsignore
%__kde4_bindir/create_makefile
%__kde4_bindir/create_makefiles
%__kde4_bindir/create_svnignore
%__kde4_bindir/cvs-clean
%__kde4_bindir/cvs2dist
%__kde4_bindir/cvsaddcurrentdir
%__kde4_bindir/cvsbackport
%__kde4_bindir/cvsblame
%__kde4_bindir/cvscheck
%__kde4_bindir/cvsforwardport
%__kde4_bindir/cvslastchange
%__kde4_bindir/cvslastlog
%__kde4_bindir/cvsrevertlast
%__kde4_bindir/cvsversion
%__kde4_bindir/cxxmetric
%__kde4_bindir/extend_dmalloc
%__kde4_bindir/extractattr
%__kde4_bindir/extractrc
%__kde4_bindir/findmissingcrystal
%__kde4_bindir/fix-include.sh
%__kde4_bindir/fixkdeincludes
%__kde4_bindir/fixuifiles
%__kde4_bindir/includemocs
%__kde4_bindir/kde_generate_export_header
%__kde4_bindir/kdedoc
%__kde4_bindir/kdekillall
%__kde4_bindir/kdelnk2desktop.py
%__kde4_bindir/kdemangen.pl
%__kde4_bindir/kdesvn-build
%__kde4_bindir/krazy-licensecheck
%__kde4_bindir/makeobj
%__kde4_bindir/noncvslist
%__kde4_bindir/nonsvnlist
%__kde4_bindir/optimizegraphics
%__kde4_bindir/package_crystalsvg
%__kde4_bindir/png2mng.pl
%__kde4_bindir/pruneemptydirs
%__kde4_bindir/qtdoc
%__kde4_bindir/svnclean
%__kde4_bindir/svn2dist
%__kde4_bindir/svnbackport
%__kde4_bindir/svnchangesince
%__kde4_bindir/svnforwardport
%__kde4_bindir/svngettags
%__kde4_bindir/svnintegrate
%__kde4_bindir/svnlastchange
%__kde4_bindir/svnlastlog
%__kde4_bindir/svnrevertlast
%__kde4_bindir/svnversions
%__kde4_bindir/wcgrep
%__kde4_bindir/zonetab2pot.py
%__kde4_xdg_apps/kdesvn-build.desktop
%__kde4_doc/*/kdesvn-build
%ifndef __kde4_alternate_placement
%_man1dir/adddebug.*
%_man1dir/cheatmake.*
%_man1dir/create_cvsignore.*
%_man1dir/create_makefile.*
%_man1dir/create_makefiles.*
%_man1dir/cvscheck.*
%_man1dir/cvslastchange.*
%_man1dir/cvslastlog.*
%_man1dir/cvsrevertlast.*
%_man1dir/cxxmetric.*
%_man1dir/demangle.*
%_man1dir/extend_dmalloc.*
%_man1dir/extractrc.*
%_man1dir/fixincludes.*
%_man1dir/po2xml.*
%_man1dir/pruneemptydirs.*
%_man1dir/qtdoc.*
%_man1dir/reportview.*
%_man1dir/split2po.*
%_man1dir/swappo.*
%_man1dir/transxx.*
%_man1dir/xml2pot.*
%_man1dir/zonetab2pot.py.*
%endif

%files kbugbuster
%__kde4_bindir/kbugbuster
%__kde4_xdg_apps/kbugbuster.desktop
%_K4apps/kbugbuster/
%__kde4_iconsdir/*/*/*/kbugbuster*
%_K4libdir/kde4/kcal_bugzilla.so
%_K4srv/kresources/kcal/bugzilla.desktop
%__kde4_doc/*/kbugbuster

%files strigi-analyzer
%_K4libdir/strigi/strigi*

%files po2xml
%__kde4_bindir/po2xml
%__kde4_bindir/split2po
%__kde4_bindir/swappo
%__kde4_bindir/xml2pot

%files kate
%__kde4_bindir/kate
%__kde4_xdg_apps/kate.desktop
%_K4apps/kate/
%_K4conf_update/kate-2.4.upd
%_K4conf/katerc
%_K4conf/katefiletemplates.knsrc
%_K4libdir/libkdeinit4_kate.so
%_K4libdir/kde4/kateexternaltoolsplugin.so
%_K4libdir/kde4/katefilebrowserplugin.so
%_K4libdir/kde4/katefiletemplates.so
%_K4libdir/kde4/katefindinfilesplugin.so
%_K4libdir/kde4/katekonsoleplugin.so
%_K4libdir/kde4/katemailfilesplugin.so
%_K4libdir/kde4/kateopenheaderplugin.so
%_K4libdir/kde4/katequickdocumentswitcherplugin.so
%_K4libdir/kde4/katesymbolviewerplugin.so
%_K4libdir/kde4/katetabbarextensionplugin.so
%_K4libdir/kde4/katetextfilterplugin.so
%_K4lib/plasma_applet_katesession.so
%_K4lib/katebacktracebrowserplugin.so
%_K4lib/katebuildplugin.so
%_K4lib/katectagsplugin.so
%_K4lib/katesnippetsplugin.so
%_K4apps/katepart/
%_K4srv/kateexternaltoolsplugin.desktop
%_K4srv/katefilebrowserplugin.desktop
%_K4srv/katefiletemplates.desktop
%_K4srv/katefindinfilesplugin.desktop
%_K4srv/katekonsoleplugin.desktop
%_K4srv/katemailfilesplugin.desktop
%_K4srv/kateopenheader.desktop
%_K4srv/katequickdocumentswitcher.desktop
%_K4srv/katesymbolviewer.desktop
%_K4srv/katetabbarextension.desktop
%_K4srv/katetextfilter.desktop
%_K4srv/katebacktracebrowserplugin.desktop
%_K4srv/katebuildplugin.desktop
%_K4srv/katectagsplugin.desktop
%_K4srv/katesnippets.desktop
%_K4srv/plasma-applet-katesession.desktop
%_K4srvtyp/kateplugin.desktop
%__kde4_doc/*/kate-plugins
%__kde4_doc/*/kate
%__kde4_iconsdir/hicolor/*/*/kate.*

%files umbrello
%__kde4_bindir/umbrello
%__kde4_xdg_apps/umbrello.desktop
%_K4apps/umbrello/
%_K4iconsdir/oxygen/*/*/umbrello*
%__kde4_iconsdir/hicolor/*/*/umbrello*
%__kde4_doc/*/umbrello


%files devel
%_K4includedir/kprofilemethod.h
%_K4includedir/ktrace.h
%_K4includedir/kate_export.h
%_K4includedir/kate/
%__kde4_libdir_link/libantlr.so
%__kde4_libdir_link/libktrace.so
%__kde4_libdir_link/libkstartperf.so
%__kde4_libdir_link/libkateinterfaces.so
%__kde4_libdir_link/libkompareinterface.so
%__kde4_libdir_link/libkomparedialogpages.so
%__kde4_libdir_link/libkomparediff2.so

%files cervisia
%__kde4_bindir/cervisia
%_K4iconsdir/*/*/actions/svn_add.*
%_K4iconsdir/*/*/actions/svn_branch.*
%_K4iconsdir/*/*/actions/svn_merge.*
%_K4iconsdir/*/*/actions/svn_remove.*
%_K4iconsdir/*/*/actions/svn_status.*
%_K4iconsdir/*/*/actions/svn_switch.*
%__kde4_xdg_apps/cervisia.desktop
%_K4apps/cervisia/
%_K4apps/cervisiapart/
%_K4conf_update/cervisia-change_repos_list.pl
%_K4conf_update/cervisia-normalize_cvsroot.pl
%_K4conf_update/cervisia.upd
%_K4conf_update/change_colors.pl
%_K4cfg/cervisiapart.kcfg
%_K4iconsdir/*/*/actions/vcs_add.*
%_K4iconsdir/*/*/actions/vcs_commit.*
%_K4iconsdir/*/*/actions/vcs_diff.*
%_K4iconsdir/*/*/actions/vcs_remove.*
%_K4iconsdir/*/*/actions/vcs_status.*
%_K4iconsdir/*/*/actions/vcs_update.*
%__kde4_iconsdir/*/*/apps/cervisia.*
%_datadir/dbus-1/interfaces/org.kde.cervisia.cvsjob.xml
%_datadir/dbus-1/interfaces/org.kde.cervisia.cvsloginjob.xml
%_datadir/dbus-1/interfaces/org.kde.cervisia.cvsservice.xml
%_datadir/dbus-1/interfaces/org.kde.cervisia.repository.xml
%ifdef __kde4_alternate_placement
%else
%_man1dir/cervisia.*
%endif
%_K4libdir/libkdeinit4_cervisia.so
%_K4libdir/libkdeinit4_cvsaskpass.so
%_K4libdir/libkdeinit4_cvsservice.so
%_K4libdir/kde4/kded_ksvnd.so
%_K4libdir/kde4/kio_svn.so
%_K4libdir/kde4/cervisiapart.so
%_K4srv/ServiceMenus/subversion.desktop
%_K4srv/ServiceMenus/subversion_toplevel.desktop
%_K4srv/cvsservice.desktop
%_K4srv/kded/ksvnd.desktop
%_K4srv/svn+file.protocol
%_K4srv/svn+http.protocol
%_K4srv/svn+https.protocol
%_K4srv/svn+ssh.protocol
%_K4srv/svn.protocol
%_K4srv/cervisiapart.desktop
%_datadir/dbus-1/interfaces/org.kde.ksvnd.xml
%__kde4_doc/*/cervisia

%files kompare
%__kde4_bindir/kompare
%_K4libdir/kde4/libkomparenavtreepart.so
%_K4libdir/kde4/libkomparepart.so
%_K4libdir/libkomparedialogpages.so.*
%_K4libdir/libkomparediff2.so.*
%__kde4_xdg_apps/kompare.desktop
%_K4apps/kompare/
%__kde4_iconsdir/hicolor/*/apps/kompare.*
%_K4srv/komparenavtreepart.desktop
%_K4srv/komparepart.desktop
%_K4srvtyp/komparenavigationpart.desktop
%_K4srvtyp/kompareviewpart.desktop
%__kde4_doc/*/kompare

%files kmtrace
%__kde4_bindir/kmtrace
%__kde4_bindir/demangle
%__kde4_bindir/kminspector
%__kde4_bindir/kmmatch
%_K4apps/kmtrace/

%files kcachegrind
%__kde4_bindir/kcachegrind
%__kde4_bindir/dprof2calltree
%__kde4_bindir/hotshot2calltree
%__kde4_bindir/memprof2calltree
%__kde4_bindir/op2calltree
%__kde4_bindir/pprof2calltree
%__kde4_iconsdir/*/*/*/kcachegrind.*
%_K4apps/kcachegrind/
%__kde4_xdg_apps/kcachegrind.desktop
%__kde4_doc/*/kcachegrind

%files libs
%_K4libdir/libkompareinterface.so.*
%_K4libdir/libantlr.so.*
%_K4libdir/libkateinterfaces.so.*
%_K4libdir/libkstartperf.so.*
%_K4libdir/libktrace.so.*

%changelog
* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt0.M50.1
- built for M50

* Mon Jun 08 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- new version

* Tue May 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- new version

* Mon Apr 06 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt1
- new version

* Thu Mar 05 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.1-alt1
- new version

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- new version

* Tue Jan 20 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.96-alt1
- new version
- removed deprecated macroses from specfile

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Wed Oct 08 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Fri Sep 05 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Sat Aug 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Tue Jun 03 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Tue May 13 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Wed Apr 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version

* Mon Mar 31 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt2
- fix to package main package

* Thu Mar 13 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- built for ALT

